
# ApiRangerReplicationArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**sourceRangerService** | [**ApiServiceRef**](ApiServiceRef.md) | The source service to replicate from. |  [optional]
**exportArgs** | [**ApiRangerReplicationExportArgs**](ApiRangerReplicationExportArgs.md) | If provided then replicate services defined in Ranger from source to destination. If not provided then it will be skipped. Mandatory field is ApiRangerReplicationExportArgs#getRangerServiceNames(). |  [optional]
**transformArgs** | [**ApiRangerReplicationTransformArgs**](ApiRangerReplicationTransformArgs.md) | Replication arguments for the TRANSFORM operation. Relevant only if #getExportArgs() was provided. |  [optional]
**importArgs** | [**ApiRangerReplicationImportArgs**](ApiRangerReplicationImportArgs.md) | Replication arguments for the IMPORT operation. Relevant only if #getExportArgs() was provided. |  [optional]
**auditLogDistCpArgs** | [**ApiHdfsReplicationArguments**](ApiHdfsReplicationArguments.md) | If provided then the replication will distributed copy Ranger HDFS audit logs from source to destination HDFS. If not provided then it will be skipped. Mandatory fields are ApiHdfsReplicationArguments#getUserName() and ApiHdfsReplicationArguments#getSourceUser(). Any other ApiHdfsReplicationArguments fields could be provided, sourcePath and destinationPath will be set appropriately by CM, when not specified. |  [optional]



