# ApiRangerReplicationArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**source_ranger_service** | [**ApiServiceRef**](ApiServiceRef.md) | The source service to replicate from. | [optional] 
**export_args** | [**ApiRangerReplicationExportArgs**](ApiRangerReplicationExportArgs.md) | If provided then replicate services defined in Ranger from source to destination. If not provided then it will be skipped. Mandatory field is ApiRangerReplicationExportArgs#getRangerServiceNames(). | [optional] 
**transform_args** | [**ApiRangerReplicationTransformArgs**](ApiRangerReplicationTransformArgs.md) | Replication arguments for the TRANSFORM operation. Relevant only if #getExportArgs() was provided. | [optional] 
**import_args** | [**ApiRangerReplicationImportArgs**](ApiRangerReplicationImportArgs.md) | Replication arguments for the IMPORT operation. Relevant only if #getExportArgs() was provided. | [optional] 
**audit_log_dist_cp_args** | [**ApiHdfsReplicationArguments**](ApiHdfsReplicationArguments.md) | If provided then the replication will distributed copy Ranger HDFS audit logs from source to destination HDFS. If not provided then it will be skipped. Mandatory fields are ApiHdfsReplicationArguments#getUserName() and ApiHdfsReplicationArguments#getSourceUser(). Any other ApiHdfsReplicationArguments fields could be provided, sourcePath and destinationPath will be set appropriately by CM, when not specified. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


